# FaceRecognition - Sprint 0 : Analyse du problème

Une des premières étapes de tout travail de programmation et de développement logiciel, quelque soit la méthodologie de développement utilisée, consiste à réaliser une rapide **analyse des besoins**, avant toute phase d'implémentation.

Cette analyse a pour objectif d'identifier les principales fonctionnalités à developper pour avoir le comportement souhaité du système développé. Cette première liste de fonctionnalité n'a pas besoin d'être exhaustive ni figée mais elle vous permettra de construire vos premiers developpements.


## Analyse des besoins : les principales fonctionnalités

L'objectif ici est de pouvoir reconnaitre une personne à partir d'une image de son visage ou d'une vidéo de son visage.


Le **[MVP (Minimum Viable product)](https://medium.com/creative-wallonia-engine/un-mvp-nest-pas-une-version-simplifi%C3%A9e-de-votre-produit-89017ac748b0)** de ce projet consistera à livrer une première version de l'outil de reconnaissance de bout en bout, c'est-à-dire de la lecture de l'image ou de la vidéo à la démonstration et la visualisation du résultat de la reconnaissance qu'il faudra pouvoir valider ou invalider.

En particulier, le MVP : 

+ **Permettra de charger une image et de lancer la webcam de l'ordinateur en vue de sa reconnaissance**.
+  **Construira un petit jeu de données très simple pour entraîner et tester le modèle d'apprentissage pour la reconnaissance de visage**.
+ **Entrainera le modèle d'apprentissage sur une partie la base de donnée constituée**
+ **Testera le modèle de reconnaissance sur une partie de la base de données constituées**
+ **Affichera les résultats de la reconnaissance sous la forme de graphiques de performances**

 
D'autres fonctionnalités pourront bien sûr être ajoutées ensuite pour améliorer votre projet ou pour lui permettre de s'executer sur un Raspberry Pi après avoir fini ce MVP. Construire une chaîne simple de bout en bout, vous permettre d'avoir rapidement des retours sur votre produit et ses fonctionnalités.

Vous pouvez maintenant continuez par le [Sprint 0 : Reflexion autour de la conception](./Sprint0Conception.md).